<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.zxhy.hfilemanagermaster.video.VideoActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="37dp"
        android:background="@color/color_C2F300"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv_arrow"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginLeft="8dp"
            android:src="@mipmap/rfg_9878985"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="ContentDescription,RtlHardcoded" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Video"
            android:textSize="17sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toRightOf="@id/iv_arrow"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText" />


        <TextView
            android:id="@+id/tv_all"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="16dp"
            android:text="All"
            android:textSize="17sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText,RtlHardcoded" />

        <ImageView
            android:id="@+id/iv_all"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginRight="5dp"
            android:src="@drawable/bg_media_selector"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintRight_toLeftOf="@id/tv_all"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="ContentDescription,RtlHardcoded" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_show"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_top">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginHorizontal="20dp"
            android:layout_marginVertical="16dp"
            app:layout_constraintBottom_toTopOf="@id/tv_delete"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_delete"
            android:layout_width="0dp"
            android:layout_height="51dp"
            android:layout_marginHorizontal="50dp"
            android:layout_marginBottom="45dp"
            android:background="@mipmap/lopp_89956"
            android:gravity="center"
            android:text="Delete"
            android:textColor="#FFFFFF"
            android:textSize="17sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            tools:ignore="HardcodedText" />

        <ImageView
            android:id="@+id/iv_empty"
            android:layout_width="250dp"
            android:layout_height="182dp"
            android:layout_marginTop="180dp"
            android:src="@mipmap/eqwe_8798521"
            android:visibility="gone"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="ContentDescription" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_lock"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:visibility="invisible"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_top">

        <ImageView
            android:id="@+id/iv_lock"
            android:layout_width="200dp"
            android:layout_height="200dp"
            android:layout_marginTop="82dp"
            android:src="@mipmap/ewq_989752"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="ContentDescription" />

        <TextView
            android:id="@+id/tv_tip"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="66dp"
            android:layout_marginTop="20dp"
            android:text="There are no permissions We need to get permission to read all files."
            android:textColor="#999999"
            android:textSize="17sp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/iv_lock"
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/tv_set"
            android:layout_width="0dp"
            android:layout_height="40dp"
            android:layout_marginHorizontal="55dp"
            android:layout_marginTop="20dp"
            android:background="@drawable/bg_rectangle_333333"
            android:gravity="center"
            android:text="Set"
            android:textColor="#FFFFFF"
            android:textSize="17sp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_tip"
            tools:ignore="HardcodedText" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>